﻿using System;

namespace DIP_Holds
{

    /// <summary>
    /// Metoda main je jedine misto kdy se abstraktnim rozhranim prirazuji konkretni objekty
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            // vypis ceskych cen
            BussinesLogic logic = new BussinesLogic((decimal)0.22, 
                new CZKPriceFeeder());
            logic.PrintPrices();
            Console.WriteLine();

            // vypis cen s eurofeederem a mezivrstvou pro prevod meny
            // funkcionalita BussinesLogic byla znovupouzita 
            logic = new BussinesLogic((decimal)0.22, 
                new CurrencyConvertor(25, 
                    new EuroPriceFeeder()));
            logic.PrintPrices();
        }
    }
}
