﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ISP_Holds
{
    /// <summary>
    /// modry klient
    /// </summary>
    public class BlueClient
    {

        // private fields
        private IBlueUI ui;

        // constructor
        public BlueClient(IBlueUI ui)
        {
            this.ui = ui;
        }


        // calls methods
        public void Call()
        {
            ui.BlueMethod();
        }

    }


    /// <summary>
    /// cerveny klient
    /// </summary>
    public class RedClient
    {

        // private fields
        private IRedUI ui;

        // constructor
        public RedClient(IRedUI ui)
        {
            this.ui = ui;
        }


        // calls methods
        public void Call()
        {
            ui.RedMethod();
        }

    }


    /// <summary>
    /// zeleny klient s novou metodou
    /// </summary>
    public class GreenClient
    {

        // private fields
        private IGreenUI ui;

        // constructor
        public GreenClient(IGreenUI ui)
        {
            this.ui = ui;
        }


        // calls methods
        public void Call()
        {
            ui.GreenMethod();
            ui.NewGreenMethod();
        }

    }
}
