﻿namespace OCP_Holds
{

    /// <summary>
    /// Nasobicka implementujici IModule
    /// </summary>
    public class Multiplier : IModule
    {

        // private fileds
        private int y;


        // constructor
        public Multiplier(int y)
        {
            this.y = y;
        }

        // multiplies parameter by y
        public int Compute(int x)
        {
            return x * y;
        }

    }


    /// <summary>
    /// Scitacka implementujici IModule
    /// </summary>
    public class Adder : IModule
    {

        // private fileds
        private int y;


        // constructor
        public Adder(int y)
        {
            this.y = y;
        }

        // multiplies parameter by y
        public int Compute(int x)
        {
            return x + y;
        }

    }

}
